{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.common": {
      "states": {
        "default": {
          "transitions": [ { "walking": "(1.0)" } ],
          "on_entry": [ "/function common_case" ]
        },
        "walking": {
          "transitions": [ { "default": "(1.0)" } ],
          "on_entry": [ "/function common_case" ]
        }
      }
    },
    "controller.animation.uncommon": {
      "states": {
        "default": {
          "transitions": [ { "walking": "(1.0)" } ],
          "on_entry": [ "/function uncommon_case" ]
        },
        "walking": {
          "transitions": [ { "default": "(1.0)" } ],
          "on_entry": [ "/function uncommon_case" ]
        }
      }
    },
    "controller.animation.rare": {
      "states": {
        "default": {
          "transitions": [ { "walking": "(1.0)" } ],
          "on_entry": [ "/function rare_case" ]
        },
        "walking": {
          "transitions": [ { "default": "(1.0)" } ],
          "on_entry": [ "/function rare_case" ]
        }
      }
    },
    "controller.animation.legendary": {
      "states": {
        "default": {
          "transitions": [ { "walking": "(1.0)" } ],
          "on_entry": [ "/function legendary_case" ]
        },
        "walking": {
          "transitions": [ { "default": "(1.0)" } ],
          "on_entry": [ "/function legendary_case" ]
        }
      }
    },
    "controller.animation.mythical": {
      "states": {
        "default": {
          "transitions": [ { "walking": "(1.0)" } ],
          "on_entry": [ "/function mythical_case" ]
        },
        "walking": {
          "transitions": [ { "default": "(1.0)" } ],
          "on_entry": [ "/function mythical_case" ]
        }
      }
    }
  }
}